<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\WssField\Kurstag;

use Kufer\Web\KuferTools\dozent\kursuebersicht\detailsreiter\termine\berichtabgeben\KurstagBerichtAbgebenUtils;

class WssFieldKurstagBerichtAbgeben extends \Kufer\Web\KuferTools\Utils\WssField\WssField
{
  protected function getValue($datamodulWert, $isFormular = false)
  {
    if ($this->datamodulColumn->accesslevel != 2) {
      return '';
    }

    if (is_null($datamodulWert)) {
      return '';
    }

    
    $kurstag = $datamodulWert->getDatamodulByName('kurstag');
    if (empty($kurstag->id)) {
      return '';
    }

    if (!KurstagBerichtAbgebenUtils::hasAccessToBerichtAbgeben($this->toolSettings, $this->toolSection->getToolSectionId(), $kurstag)) {
      return '';
    }

    if (!\DateTimeOperations::isDatebeforeNow($kurstag->datum, -1)) {
      return 'Noch nicht stattgefunden';
    }

    if (trim($kurstag->klassenbuchtext) != '') {
      return 'Bericht abgegeben';
    }

    return '<button id="honorar-abrechnen-abgeben-btn-' . $kurstag->id . '" class="btn btn-default kurstag-bericht-abgeben-btn" disabled data-kurstag-id="' . $kurstag->id . '" type="button">'
      . 'Bericht abgeben'
      . '</button>';
  }

  protected function encodeValue($value)
  {
    return $value;
  }
}